Debian セキュリティ勧告

DSA-2253-1 fontforge -- バッファオーバフロー

報告日時:
2011-06-03
影響を受けるパッケージ:
fontforge
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 605537.
Mitre の CVE 辞書: CVE-2010-4259.
詳細:

Ulrik Persson さんにより、フォントエディタ FontForge にスタックベース のバッファオーバフローが報告されました。細工した Bitmap Distribution Format (BDF) のフォントの処理の際に、FontForge がクラッシュまたは FontForge を実行したユーザ権限で任意のコードの実行を行う可能性があり ます。

旧安定版 (oldstable) ディストリビューション (lenny) では、この問題は バージョン 0.0.20080429-1+lenny2 で修正されています。

安定版 (stable) ディストリビューション、テスト版 (testing) ディスト リビューションおよび不安定版 (unstable) ディストリビューションにはこ の問題の影響はありません。

直ぐに fontforge パッケージをアップグレードすることを勧めます。